package com.cool.store.enums;

public enum AuditStageEnum {

    ONE(1, "一审稽核"),
    TWO(2, "二审稽核"),


    ;


    private Integer code;

    private String name;

    AuditStageEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static AuditStageEnum getByCode(Integer code) {
        for (AuditStageEnum auditStatusEnum : AuditStageEnum.values()) {
            if (auditStatusEnum.getCode().equals(code)) {
                return auditStatusEnum;
            }
        }
        return null;
    }

}

